Nowe posty

Autor Wątek: Instalacja nowej wersji Kadu.  (Przeczytany 6294 razy)

Offline Jacek Kowalczyk

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 175
    • Zobacz profil
Instalacja nowej wersji Kadu.
« dnia: 2009-05-07, 23:34:19 »
Mam Kadu 0.5.01, Debian 2.6.24.7. Jest obecnie dostępna nowa wersja Kadu. Ściągnąłem
kadu-0.6.5.1.tar.bz2 i postępowałem według instrukcji. Każda inna, wcześniejsza wersja wywoływała również następujący komunikat:
./Instaluj: line 27: cmake: command not found
Instalacja nie powiodła się (na etapie cmake ..)
Czy powinienem najpierw odinstalować starszą wersję? Nie mogę wywołać instalacji:
./configure
make
make install
Nie ma configure
Zna ktoś powód takiego zachowania?

Offline mateo86

  • Users
  • Guru
  • *****
  • Wiadomości: 651
    • Zobacz profil
Instalacja nowej wersji Kadu.
« Odpowiedź #1 dnia: 2009-05-07, 23:39:58 »
A nie lepiej nie utrudniać sobie życia i z paczki zainstalować? Na stronie http://kadu.net masz instrukcje jak to zrobić...
Bo tak ogólnie to dosyć ciężko jest skompilować kadu ze źródeł, z różnymi rozszerzeniami... (bez też nie jest łatwo)

A ten błąd dotyczy tego, jak sama nazwa wskazuje, że nie ma jakiegoś polecenia. Trzeba by było zajrzeć do skryptu 'Instaluj' i zobaczyć jakie polecenie w 27 linii wywołuje i je doinstalować...

W źródłach kadu nie masz skryptów 'configure' i 'makefile'. Za to jest wcześniej wspomniany skrypt 'Instaluj', który zastępuje te dwa.

Offline roobal

  • Users
  • Guru
  • *****
  • Wiadomości: 2057
    • Zobacz profil
Instalacja nowej wersji Kadu.
« Odpowiedź #2 dnia: 2009-05-08, 00:03:47 »
Trzeba doinstalować cmake i wiele innych rzeczy aby kompilacja zakończyła się powododzeniem, jak chcesz kompilować moduły, to zejdzie Ci trochę czasu na samo uzupełnianie zależności. Wiem, bo kompilowałem i moim zdaniem nie warto tracić czasu :)

Pozdrawiam!

Offline heniek m.

  • Users
  • Guru
  • *****
  • Wiadomości: 697
    • Zobacz profil
Instalacja nowej wersji Kadu.
« Odpowiedź #3 dnia: 2009-05-08, 09:17:15 »
Z kompilacją kadu już nie tak łatwo jak kiedyś.
Ale ja mam inny banalny lecz irytujący problem.
Otóż u mnie w kadu 0.6.5.2 mdv okienko z zestawem emotikon do wyboru w oknie rozmowa jest takie maleńkie, że niewiele widać. Może ktoś zna sposób, jak zrobić, żeby były naturalnej wielkości. W opcjach konfiguracji nic nie znalazłem. Zreszta konfiguracje mam od dawna i w poprzednich wydaniach kadu emotki były rozróznialne.

Offline Jacek Kowalczyk

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 175
    • Zobacz profil
Instalacja nowej wersji Kadu.
« Odpowiedź #4 dnia: 2009-05-08, 09:18:07 »
Dziękuję za informacje. Upewniliście mnie, że ugrzązłem w zależnościach a nie wynikało to z jakiegoś mojego "głupiego" błędu. Uważam post za zamknięty. Jeszcze raz dziękuję!

Offline ultr

  • Users
  • Guru
  • *****
  • Wiadomości: 1188
    • Zobacz profil
Instalacja nowej wersji Kadu.
« Odpowiedź #5 dnia: 2009-05-08, 09:41:42 »
@zebra

> Z kompilacją kadu już nie tak łatwo jak kiedyś.

Czy ja wiem :) Jak dla mnie to teraz właśnie wreszcie jest porządek.


> Otóż u mnie w kadu 0.6.5.2 mdv okienko z zestawem emotikon
> do wyboru w oknie rozmowa jest takie maleńkie, że niewiele widać.

Najlepiej opisz problem na forum Kadu.
Od razu możesz dopisać jakiego zestawu emotikon używasz, podać wersję Mandrivy, jeśli sprawdzisz, to wersję Qt. Screenshot też mógłby coś podpowiedzieć.